#!/usr/bin/env node
const { execSync } = require('child_process');

const args = process.argv.slice(2);

if (args[0] === 'create') {
    execSync('npx create-vue@latest', { stdio: 'inherit' });

} else if(args[0] === 'import') {
    const modules = args.slice(1);
    modules.forEach(module => {
        execSync(`npm install @arrkid/vue-wrapper-framework/${module}`, { stdio: 'inherit' });
    });
} else {
    console.error('Invalid command. Use create or import');
    process.exit(1);
}